/*	RCT3 libOVL
	Copyright 2005 Jonathan Wilson

	This file is part of the RCT3 libOVL
	The RCT3 libOVL library is free software; you can redistribute it and/or modify it under
	the terms of the GNU General Public License as published by the Free
	Software Foundation; either version 2, or (at your option) any later
	version. See the file COPYING for more details.
*/

#ifndef __libOVL_StyleOVL_h__
#define __libOVL_StyleOVL_h__

#include "CommonOVL.h"
#include "GUIICon.h"
#include "IconTexture.h"
#include "Scenary.h"
#include "DisplayText.h"
#include "TerrainType.h"
#include "Stall.h"
#include "path.h"

std::vector <Text *> TextStrings;
std::vector <Icon *> Icons;
std::vector <IconTexture *> IconTextures;
std::vector <Scenery *> SceneryItems;

LIBOVL_API void AddStyleOVLInfo_SceneryItem(Scenery *scn);
LIBOVL_API void DeleteStyleOVLInfo_SceneryItems();
LIBOVL_API void AddStyleOVLInfo_IconTexture(IconTexture *ict);
LIBOVL_API void DeleteStyleOVLInfo_IconTextures();
LIBOVL_API void AddStyleOVLInfo_Icon(Icon *ico);
LIBOVL_API void DeleteStyleOVLInfo_Icons();
LIBOVL_API void AddStyleOVLInfo_TextString(Text *txt);
LIBOVL_API void DeleteStyleOVLInfo_TextStrings();

LIBOVL_API unsigned long CreateStyleOvl(char *filename, unsigned long ThemeCode);
LIBOVL_API bool saveStyleOVL();
LIBOVL_API void clearStyleOVLData();

#endif
