///////////////////////////////////////////////////////////////////////////////
//
// Effect Point Dialog
// Copyright (C) 2006 Tobias Minch
//
// Part of rct3tool
// Copyright 2005 Jonathan Wilson
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Written by
//   Tobias Minich - belgabor@gmx.de
//
// Parts of this code are based on code written for rct3tool (Copyright 2005
// Jonathan Wilson).
//
///////////////////////////////////////////////////////////////////////////////

#ifndef WXDLGEFFECT_H_INCLUDED
#define WXDLGEFFECT_H_INCLUDED

#include "wx_pch.h"

#include <wx/xrc/xmlres.h>

#include "RCT3Structs.h"

class dlgEffect : public wxDialog {
protected:
    wxStaticText* m_11;
    wxStaticText* m_12;
    wxStaticText* m_13;
    wxStaticText* m_14;
    wxStaticText* m_21;
    wxStaticText* m_22;
    wxStaticText* m_23;
    wxStaticText* m_24;
    wxStaticText* m_31;
    wxStaticText* m_32;
    wxStaticText* m_33;
    wxStaticText* m_34;
    wxStaticText* m_41;
    wxStaticText* m_42;
    wxStaticText* m_43;
    wxStaticText* m_44;
    wxChoice* m_choicePoint;
    wxTextCtrl* m_textX;
    wxTextCtrl* m_textY;
    wxTextCtrl* m_textZ;
    wxButton* m_btPos;
    wxButton* m_btEdit;
    wxButton* m_btClear;
    wxTextCtrl* m_textEffectName;
    wxButton* m_btCreate;
    wxButton* m_btLoad;
    wxButton* m_btOk;
    wxButton* m_btCancel;

private:
    cEffectPoint m_ef;

    void InitWidgetsFromXRC(wxWindow *parent) {
        wxXmlResource::Get()->LoadObject(this,parent,_T("dlgEffect"), _T("wxDialog"));
        m_11 = XRCCTRL(*this,"m_11",wxStaticText);
        m_12 = XRCCTRL(*this,"m_12",wxStaticText);
        m_13 = XRCCTRL(*this,"m_13",wxStaticText);
        m_14 = XRCCTRL(*this,"m_14",wxStaticText);
        m_21 = XRCCTRL(*this,"m_21",wxStaticText);
        m_22 = XRCCTRL(*this,"m_22",wxStaticText);
        m_23 = XRCCTRL(*this,"m_23",wxStaticText);
        m_24 = XRCCTRL(*this,"m_24",wxStaticText);
        m_31 = XRCCTRL(*this,"m_31",wxStaticText);
        m_32 = XRCCTRL(*this,"m_32",wxStaticText);
        m_33 = XRCCTRL(*this,"m_33",wxStaticText);
        m_34 = XRCCTRL(*this,"m_34",wxStaticText);
        m_41 = XRCCTRL(*this,"m_41",wxStaticText);
        m_42 = XRCCTRL(*this,"m_42",wxStaticText);
        m_43 = XRCCTRL(*this,"m_43",wxStaticText);
        m_44 = XRCCTRL(*this,"m_44",wxStaticText);
        m_choicePoint = XRCCTRL(*this,"m_choicePoint",wxChoice);
        m_textX = XRCCTRL(*this,"m_textX",wxTextCtrl);
        m_textY = XRCCTRL(*this,"m_textY",wxTextCtrl);
        m_textZ = XRCCTRL(*this,"m_textZ",wxTextCtrl);
        m_btPos = XRCCTRL(*this,"m_btPos",wxButton);
        m_btEdit = XRCCTRL(*this,"m_btEdit",wxButton);
        m_btClear = XRCCTRL(*this,"m_btClear",wxButton);
        m_textEffectName = XRCCTRL(*this,"m_textEffectName",wxTextCtrl);
        m_btCreate = XRCCTRL(*this,"m_btCreate",wxButton);
        m_btLoad = XRCCTRL(*this,"m_btLoad",wxButton);
        m_btOk = XRCCTRL(*this,"m_btOk",wxButton);
        m_btCancel = XRCCTRL(*this,"m_btCancel",wxButton);
    }
public:
    dlgEffect(wxWindow *parent=NULL);
};

#endif // WXDLGEFFECT_H_INCLUDED
