///////////////////////////////////////////////////////////////////////////////
//
// Texture Settings Dialog
// Copyright (C) 2006 Tobias Minch
//
// Part of rct3tool
// Copyright 2005 Jonathan Wilson
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Written by
//   Tobias Minich - belgabor@gmx.de
//
// Parts of this code are based on code written for rct3tool (Copyright 2005
// Jonathan Wilson).
//
///////////////////////////////////////////////////////////////////////////////

#ifndef WXDLGTEXTURE_H_INCLUDED
#define WXDLGTEXTURE_H_INCLUDED

#include "wx_pch.h"

#include <wx/xrc/xmlres.h>

#include "RCT3Structs.h"

class dlgTexture : public wxDialog {
public:
    dlgTexture(wxWindow *parent=NULL);

    void SetFlexiTexture(cFlexiTexture val);
    cFlexiTexture GetFlexiTexture();

protected:
    wxTextCtrl* m_textTextureName;
    wxTextCtrl* m_textTextureFile;
    wxButton* m_btTextureInfo;
    wxButton* m_btTextureOpen;
    wxTextCtrl* m_textAlphaFile;
    wxButton* m_btAlphaInfo;
    wxButton* m_btAlphaOpen;
    wxChoice* m_choiceColors;
    wxButton* m_btLoad;
    wxButton* m_btOk;
    wxButton* m_btCancel;

    cFlexiTexture m_ft;
    int m_recol;

    void OnTextureInfo(wxCommandEvent& event);
    void OnAlphaInfo(wxCommandEvent& event);
    void OnTextureOpen(wxCommandEvent& event);
    void OnAlphaOpen(wxCommandEvent& event);
    void OnLoad(wxCommandEvent& event);

private:
    void InitWidgetsFromXRC(wxWindow *parent) {
        wxXmlResource::Get()->LoadObject(this,parent,_T("dlgTexture"), _T("wxDialog"));
        m_textTextureName = XRCCTRL(*this,"m_textTextureName",wxTextCtrl);
        m_textTextureFile = XRCCTRL(*this,"m_textTextureFile",wxTextCtrl);
        m_btTextureInfo = XRCCTRL(*this,"m_btTextureInfo",wxButton);
        m_btTextureOpen = XRCCTRL(*this,"m_btTextureOpen",wxButton);
        m_textAlphaFile = XRCCTRL(*this,"m_textAlphaFile",wxTextCtrl);
        m_btAlphaInfo = XRCCTRL(*this,"m_btAlphaInfo",wxButton);
        m_btAlphaOpen = XRCCTRL(*this,"m_btAlphaOpen",wxButton);
        m_choiceColors = XRCCTRL(*this,"m_choiceColors",wxChoice);
        m_btLoad = XRCCTRL(*this,"m_btLoad",wxButton);
        m_btOk = XRCCTRL(*this,"m_btOk",wxButton);
        m_btCancel = XRCCTRL(*this,"m_btCancel",wxButton);
    }

    DECLARE_EVENT_TABLE()
};

#endif // WXDLGTEXTURE_H_INCLUDED
