///////////////////////////////////////////////////////////////////////////////
//
// 3D Utility Library
// AUI generic file dialog
// Copyright (C) 2006 Tobias Minch
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// Written by
//   Tobias Minich - belgabor@gmx.de
//
///////////////////////////////////////////////////////////////////////////////

#ifndef _AUIFILEDLG_H_
#define _AUIFILEDLG_H_

#include "wx_pch.h"

#include <wx/generic/filedlgg.h>
#include <wx/aui/aui.h>

class wxAUIFileDialog: public wxGenericFileDialog
{
public:
    wxAUIFileDialog() : wxGenericFileDialog() {m_mgr.SetManagedWindow(this); }

    wxAUIFileDialog(wxWindow *parent,
                        const wxString& message = wxFileSelectorPromptStr,
                        const wxString& defaultDir = wxEmptyString,
                        const wxString& defaultFile = wxEmptyString,
                        const wxString& wildCard = wxFileSelectorDefaultWildcardStr,
                        long style = wxFD_DEFAULT_STYLE,
                        const wxPoint& pos = wxDefaultPosition,
                        const wxSize& sz = wxDefaultSize,
                        const wxString& name = wxFileDialogNameStr);
    bool Create( wxWindow *parent,
                        const wxString& message = wxFileSelectorPromptStr,
                        const wxString& defaultDir = wxEmptyString,
                        const wxString& defaultFile = wxEmptyString,
                        const wxString& wildCard = wxFileSelectorDefaultWildcardStr,
                        long style = wxFD_DEFAULT_STYLE,
                        const wxPoint& pos = wxDefaultPosition,
                        const wxSize& sz = wxDefaultSize,
                        const wxString& name = wxFileDialogNameStr);

    virtual ~wxAUIFileDialog();

protected:
    wxFrameManager m_mgr;
    wxPanel *m_panelMain;

private:
    DECLARE_DYNAMIC_CLASS(wxAUIFileDialog)
//    DECLARE_EVENT_TABLE()

};

#endif
